<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;

class SyncenvoleController extends AbstractController
{
    public function delegation()
    {
        $url="/posh-profil";

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/admin-delegation.php?color=#color#"
        ]);        
    }

    public function balado()
    {
        $url=$this->getParameter("widbalado_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=balado&color=#color#"
        ]);        
    }

    public function cdt()
    {
        $url=$this->getParameter("widcdt_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=cdt&color=#color#"
        ]);        
    }

    public function gepiannu()
    {
        $url=$this->getParameter("widgepi_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=gepiannu&color=#color#"
        ]);        
    }

    public function gepisiecle()
    {
        $url=$this->getParameter("widgepi_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=gepisconet&color=#color#"
        ]);        
    }

    public function limesurvey()
    {
        $url=$this->getParameter("widlimesurvey_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=limesurvey&color=#color#"
        ]);        
    }

    public function moodle()
    {
        $url=$this->getParameter("widmoodle_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=moodle&color=#color#"
        ]);        
    }

    public function nextcloud()
    {
        $url=$this->getParameter("widnextcloud_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=nextcloud&color=#color#"
        ]);        
    }

    public function piwik()
    {
        $url=$this->getParameter("widpiwik_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=piwik&color=#color#"
        ]);        
    }

    public function sacoche()
    {
        $url=$this->getParameter("widsacoche_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=sacochesconet&color=#color#"
        ]);        
    }

    public function wordpress()
    {
        $url=$this->getParameter("widwordpress_syncenvole");

        return $this->render('Tool\frame.html.twig', [
            'useheader'         => true,
            'usemenu'           => false,
            'usesidebar'        => true,              
            'url'               => $url."/synchro.php?app=wordpress&color=#color#"
        ]);        
    }
}

